edu.ucsb.nceas.metacat.admin

## Class SkinsAdmin

- java.lang.Object
- - edu.ucsb.nceas.metacat.admin.MetacatAdmin
  - - edu.ucsb.nceas.metacat.admin.SkinsAdmin

-     public class SkinsAdmin
      extends MetacatAdmin

  Control the display of the skins configuration page and the processing of the configuration values.

- - ### Field Summary

    - ### Fields inherited from class edu.ucsb.nceas.metacat.admin.MetacatAdmin

      `FAILURE, IN_PROGRESS, SUCCESS`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configureSkins(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Handle configuration of the application the first time that Metacat starts or when it is explicitly called in the url.
    `static SkinsAdmin` | `getInstance()` Get the single instance of the MetaCatConfig.
    `protected java.util.Vector<java.lang.String>` | `validateOptions(javax.servlet.http.HttpServletRequest request)` Require subclasses to implement a properties validator.
    `protected java.util.Vector<java.lang.String>` | `validateOptions(javax.servlet.http.HttpServletRequest request, java.lang.String skinName)` Validate the most important configuration options submitted by the user.

    - ### Methods inherited from class edu.ucsb.nceas.metacat.admin.MetacatAdmin

      `updateUpgradeStatus`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static SkinsAdmin getInstance()

      Get the single instance of the MetaCatConfig.
      Returns:
        the single instance of MetaCatConfig

    - #### configureSkins

          public void configureSkins(javax.servlet.http.HttpServletRequest request,
                                     javax.servlet.http.HttpServletResponse response)
                              throws AdminException

      Handle configuration of the application the first time that Metacat starts or when it is explicitly called in the url. Collect necessary configuration information from the administrator.
      Parameters:
        `request` - the http request information
        `response` - the http response to be sent back to the client
      Throws:
        `AdminException`

    - #### validateOptions

          protected java.util.Vector<java.lang.String> validateOptions(javax.servlet.http.HttpServletRequest request)

      Description copied from class: `MetacatAdmin`
      Require subclasses to implement a properties validator.
      Specified by:
        `validateOptions` in class `MetacatAdmin`
      Returns:
        a vector holding error message for any fields that fail validation.

    - #### validateOptions

          protected java.util.Vector<java.lang.String> validateOptions(javax.servlet.http.HttpServletRequest request,
                                                                       java.lang.String skinName)

      Validate the most important configuration options submitted by the user.
      Returns:
        a vector holding error message for any fields that fail validation.

Copyright © 2023 Regents of the University of California. All Rights Reserved.